%define framework kuserfeedback
%define majver %(echo %version | cut -d. -f1-2)

Name:          kf6-kuserfeedback
Version:       6.7.0
Release:       1mamba
Summary:       Framework for collecting feedback from application users via telemetry and targeted surveys
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://invent.kde.org/frameworks/kuserfeedback
Source:        https://download.kde.org/%{stable_kf6}/frameworks/%{majver}/kuserfeedback-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtcharts-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Framework for collecting feedback from application users via telemetry and targeted surveys.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n %{framework}-%{version}

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/UserFeedbackConsole
%{_bindir}/userfeedbackctl
%{_datadir}/applications/org.kde.kuserfeedback-console.desktop
%{_metainfodir}/org.kde.kuserfeedback-console.appdata.xml
%{_datadir}/qlogging-categories6/org_kde_UserFeedback.categories
%ifarch x86_64
%{_datadir}/KDE/UserFeedbackConsole/user-feedback-manual.qch
%endif

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libKF6UserFeedbackCore.so.*
%{_libdir}/libKF6UserFeedbackWidgets.so.*
%dir %{_qt6_qmldir}/org/kde/userfeedback
%{_qt6_qmldir}/org/kde/userfeedback/*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kf6_includedir}/KUserFeedback
%{_kf6_includedir}/KUserFeedback/kuserfeedback_version.h
%dir %{_kf6_includedir}/KUserFeedbackCore
%{_kf6_includedir}/KUserFeedbackCore/*
%dir %{_kf6_includedir}/KUserFeedbackWidgets
%{_kf6_includedir}/KUserFeedbackWidgets/*
%dir %{_libdir}/cmake/KF6UserFeedback
%{_libdir}/libKF6UserFeedbackCore.so
%{_libdir}/libKF6UserFeedbackWidgets.so
%{_libdir}/cmake/KF6UserFeedback/KF6UserFeedback*.cmake
%{_qt6_archdatadir}/mkspecs/modules/qt_KF6UserFeedbackCore.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_KF6UserFeedbackWidgets.pri

%changelog
* Sat Oct 12 2024 Automatic Build System <autodist@openmamba.org> 6.7.0-1mamba
- automatic version update by autodist

* Sat Sep 14 2024 Automatic Build System <autodist@openmamba.org> 6.6.0-1mamba
- automatic version update by autodist

* Sat Aug 10 2024 Automatic Build System <autodist@openmamba.org> 6.5.0-1mamba
- automatic version update by autodist

* Fri Jul 12 2024 Automatic Build System <autodist@openmamba.org> 6.4.0-1mamba
- automatic version update by autodist

* Sat Jun 08 2024 Automatic Build System <autodist@openmamba.org> 6.3.0-1mamba
- automatic version update by autodist

* Sun May 12 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Thu Feb 29 2024 Automatic Build System <autodist@openmamba.org> 6.0.0-1mamba
- automatic version update by autodist

* Fri Feb 02 2024 Automatic Build System <autodist@openmamba.org> 5.249.0-1mamba
- automatic version update by autodist

* Thu Jan 18 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.248.0-1mamba
- update to 5.248.0

* Fri Nov 03 2023 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Mon Feb 07 2022 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- package created using the webbuild interface
